guidata (3.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Tue, 06 Aug 2024 16:28:19 +0200

guidata (3.5.2-2) unstable; urgency=medium

  * Remove obsolete dependency on spyder.

 -- Roland Mas <lolando@debian.org>  Mon, 01 Jul 2024 18:22:50 +0200

guidata (3.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Add myself to uploaders.
  * Fix FTBFS by adding dbus to Build-Depends.
  * Also adapt to upstream having changed the name of an environment
    variable used in the testsuite.

 -- Roland Mas <lolando@debian.org>  Sat, 22 Jun 2024 21:48:34 +0200

guidata (3.4.1-1) unstable; urgency=medium

  * New upstream version 3.4.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 12 Mar 2024 14:53:18 +0100

guidata (3.4.0-1) unstable; urgency=medium

  * New upstream version 3.4.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 11 Mar 2024 14:39:07 +0100

guidata (3.3.0+dfsg1-1) unstable; urgency=low

  * New upstream release.
  * Set upstream metadata fields:
    Bug-Database, Bug-Submit, Repository, Repository-Browse.
  * d/control:
    - Remove useless B-D python3-sip
    - Added B-D python3-myst-parser
  * Bug fix: "unsatisfied build dependency in testing: python3-sip",
    thanks to Paul Gevers (Closes: #1065340).
  * Bug fix: "Please remove python3-sip from Build-Depends", thanks to
    Dmitry Shachnev (Closes: #1060742).

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 06 Mar 2024 10:18:34 +0100

guidata (3.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.4+dfsg1
  * d/salsa-ci.yml: Removed as useless we are using the remote one.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 28 Jul 2023 14:24:12 +0200

guidata (3.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.2+dfsg1
  * d/copyright: upstream changed the license to BSD-3-clause
  * Do not build doc if nodoc
  * d/t/control: run guidata test from the tests directory

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 27 Jul 2023 21:01:03 +0200

guidata (3.0.0+dfsg1-1) unstable; urgency=medium

  * New upstream version
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * d/control: B-D Added pybuild-plugin-pyproject
  * d/control: B-D Added python3-sphinx-copybutton
  * d/control: B-D Added python3-pytest <!nocheck>
  * d/control: B-D Added python3-pytest-xvfb <!nocheck>
  * d/control: B-D Added python3-h5py
  * Added autopkgtest.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 21 Jul 2023 13:55:25 +0200

guidata (2.3.1-1) unstable; urgency=low

  * Team upload.

  * New upstream release.
    Closes: #1028084
  * Standards-Version: 4.6.2 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Feb 2023 19:01:54 +0100

guidata (2.3.0-1) unstable; urgency=medium

  * New upstream version 2.3.0
  * Update standards version to 4.6.1, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 16 Oct 2022 12:34:48 +0200

guidata (2.2.1-1) unstable; urgency=medium

  * New upstream version 2.2.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Jun 2022 16:34:10 +0200

guidata (2.2.0-1) unstable; urgency=medium

  * New upstream version 2.2.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 01 Jun 2022 09:59:59 +0200

guidata (2.0.4-1) unstable; urgency=medium

  * New upstream version 2.0.4
  * Update standards version to 4.6.0, no changes needed.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 20 Mar 2022 08:30:21 +0100

guidata (2.0.2-1) unstable; urgency=medium

  * d/watch: Updated to use the right redirector
  * New upstream version 2.0.2
  * d/patches/*: Refreshed

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 05 Jan 2022 10:55:22 +0100

guidata (1.8.0-2) unstable; urgency=medium

  * d/control: Used dh-sequence-X
  * d/rules: Simplified thanks to dh-sequence-X.
  * d/rules: Used execute_[before/after] instead of overriding.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 31 Aug 2021 19:48:11 +0200

guidata (1.8.0-1) unstable; urgency=low

  [ Debian Janitor ]
  * New upstream release.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.5.0, no changes needed.
  * Update watch file format version to 4.

  [ Picca Frédéric-Emmanuel ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.
  * d/patches/0001-Added-the-Pillow-Dependency.patch
  * Apply multi-arch hints.
    + python-guidata-doc: Add Multi-Arch: foreign.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 19 Dec 2020 10:09:09 -0000

guidata (1.7.9-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.
  * Make "Files: *" paragraph the first in the copyright file.

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 1.7.9
  * d/control: Added Build-Depends, python3-qtpy

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 01 Sep 2020 12:42:24 +0200

guidata (1.7.6-2) unstable; urgency=medium

  * Removed the Python2 module (Closes: #936676)
  * d/control
    - Added Suggests: python-guidata-doc (Closes: #849611)
      Thanks Ben Finney for bug report
  * d/control: Remove ancient X-Python-Version field.
  * d/control: Remove ancient X-Python3-Version field.
  * Use debhelper-compat instead of debian/compat.
  * d/control: Deprecating priority extra as per policy 4.0.1.
  * d/control: Set Vcs-* to salsa.debian.org.
  * d/watch: Use https protocol.
  * d/control: Removed python-spyderlib

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 10 Oct 2019 10:56:52 +0200

guidata (1.7.6-1) unstable; urgency=medium

  * New upstream version 1.7.6
  * Bump Standards-Version to 3.9.8 (nothing to do)
  * Use https in VCS-X fields
  * Support python(3)-spyderlib and python(3)-spyder

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 12 Oct 2016 20:22:25 +0200

guidata (1.7.4-1) unstable; urgency=medium

  * Imported Upstream version 1.7.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 11 Dec 2015 10:37:32 +0100

guidata (1.7.3-2) unstable; urgency=medium

  * Uploaded to unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 05 Dec 2015 12:15:09 +0100

guidata (1.7.3-1) experimental; urgency=medium

  * Imported Upstream version 1.7.3

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 03 Dec 2015 18:40:08 +0100

guidata (1.7.2-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.2

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 22 Nov 2015 08:30:33 +0100

guidata (1.7.1-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 12 Nov 2015 19:39:25 +0100

guidata (1.7.0-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 06 Nov 2015 21:36:13 +0100

guidata (1.7.0~b6-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0~b6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 25 Oct 2015 14:07:23 +0100

guidata (1.7.0~b5-1~exp1) experimental; urgency=medium

  * Imported Upstream version 1.7.0~b3
  * Add the python3 modules and switch to pybuild
  * debian/control
    - Build-Depends:
      + python-numpy and python3-numpy (in order to build the documentation)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 05 Oct 2015 12:37:27 +0200

guidata (1.7.0~b2-1~exp1) UNRELEASED; urgency=medium

  * Imported Upstream version 1.7.0~b2
  * use the pypi redirector
  * Bump Standards-Version to 3.9.6 (nothing to do)
  * Update the URL's since the upstream moved to github.
  * debian/control
    - Build-dep
      + python-sip
      + python-setuptools

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 24 Aug 2015 09:21:32 +0200

guidata (1.6.1-1) unstable; urgency=low

  * Imported Upstream version 1.6.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 30 May 2013 21:18:54 +0200

guidata (1.6.0-1) unstable; urgency=low

  * Imported Upstream version 1.6.0
  * Bump Standards-Version to 3.9.4 (nothing to do)
  * Use debhelper 9

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 22 May 2013 21:06:46 +0200

guidata (1.5.1-2) unstable; urgency=low

  * Uploaded into unstable

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 06 May 2013 08:01:19 +0100

guidata (1.5.1-1) experimental; urgency=low

  * Imported Upstream version 1.5.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 23 Nov 2012 08:01:19 +0100

guidata (1.5.0-1) experimental; urgency=low

  * Imported Upstream version 1.5.0
  * Use the new guidata.svg as Icon for the desktop file.
  * Bump standards-Version to 3.9.3 (for real)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Fri, 07 Sep 2012 22:14:35 +0200

guidata (1.4.1-2) unstable; urgency=low

  * debian/rules
    - updated to build on squeeze
  * bump Standards-Version to 3.9.3
    - updated debian/copyright with the Copyright format 1.0
  * debian/control
    - better dependencies thanks to cme (config-edit)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 19 Feb 2012 14:28:57 +0100

guidata (1.4.1-1) unstable; urgency=low

  * Imported Upstream version 1.4.1

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 29 Nov 2011 14:10:39 +0100

guidata (1.4.0-1) unstable; urgency=low

  * Imported Upstream version 1.4.0
  * use dh_sphinxdoc
  * debian/control
    - fix the Vcs-Browser field
  * debian/copyright fixed using config-edit

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 11 Sep 2011 19:54:11 +0200

guidata (1.3.2-2) unstable; urgency=low

  * debian/copyright
    - use the right dep5 Format http://dep.debian.net/deps/dep5
  * debian/changelog
    - restore this file since I forgot to update my local git repository

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Jul 2011 16:40:30 +0200

guidata (1.3.2-1) unstable; urgency=low

  * Imported Upstream version 1.3.2
  * Use my DD address everywhere.
  * debian/control
    - update the Vcs-x fileds.
    - add the Build-Depends python-spyderlib
    - remove the Build-Depends python-qscintilla2
    - bump Standards-Version to 3.9.2 (nothing to do)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 05 Jul 2011 15:33:55 +0200

guidata (1.3.1-1) unstable; urgency=low

  * Imported Upstream version 1.3.1

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Tue, 26 Apr 2011 14:50:46 +0200

guidata (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0
  * update debian/copyright using dep5

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Wed, 06 Apr 2011 19:12:09 +0200

guidata (1.2.5-1) unstable; urgency=low

  * Initial release (Closes: #602554)
  * Thanks to Justin B Rye for package description review

 -- Picca Frédéric-Emmanuel <picca@synchrotron-soleil.fr>  Sun, 24 Oct 2010 11:26:05 +0200
